> For the complete documentation index, see [llms.txt](https://docs.hedge.video/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hedge.video/offshoot/features/automation/examples/email-notifications.md).

# Email Notifications

### **How to use** <a href="#how-to-use" id="how-to-use"></a>

This script sends an email through the Apple Mail app.

1. Open the script and add your name and email address.
2. Add the saved script to the [File Copy Completed](https://https/@hedgedocs/s/hedge/~/drafts/-LdOXGAsklsfqIQWN4PI/primary/hedge/scripts/events/filecopycompleted) event in OffShoot's `Settings > Scripting` pane.
3. When a transfer completes the script is run.
4. You can change the message by using the variables exposed by the [File Copy Completed](https://https/@hedgedocs/s/hedge/~/drafts/-LdOXGAsklsfqIQWN4PI/primary/hedge/scripts/events/filecopycompleted) event.

### **Settings**

```
set recipientName to "Jeroen de Jong"
set recipientAddress to "jeroen@hedge.video"
```

### ‌**Download**

{% file src="/files/H52QUJ688MxjaRlWnwzi" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hedge.video/offshoot/features/automation/examples/email-notifications.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
